--- title: "List_templates" slug: "list-templates" updated: 2024-10-25T11:02:05Z published: 2024-10-25T11:02:05Z canonical: "docs.voiso.com/list-templates" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.voiso.com/llms.txt > Use this file to discover all available pages before exploring further. # List_templates GetDeprecated/api/v3/messages/whatsapp/templates Retrieve approved message templates and their UUIDs. Query parameterskeystringRequired The [Contact Center API key](https://developers.voiso.com/client/#/rest/getting-started/authentication/how-to-obtain-the-contact-center-key). Examplecontact_center_api_key Responses200 Success object uuidstring (uuid) WhatsApp Template ID. Use this value to populate the template_uuid field when sending messages. Example3fa85f64-5717-4562-b3fc-2c963f66afa6 namestring Template name Examplemy_whatsapp_template categorystring Template type ExampleMARKETING languagestring Language used in the template Exampleen numberstring The phone number associated with the template Example18885658889 bodystring The message text of the template ExampleHello, this is {{1}} from Voiso! Do you want to enjoy the benefits of sending branded, professional messages directly to your customers through WhatsApp? That helps to grow business and retain customers! 400 Bad Request object errors Array of string (whatsapp_templates_error_messages) string Valid values[ "WhatsApp Outbound Messaging is disabled for your contact center", "The API key specified is invalid" ]